#include <stdio.h>
#include <stdlib.h>

int main()
{
    int L, R, p, q, r, i;
    scanf("%d %d %d %d %d", &p, &q, &r, &L, &R);

    int a=L, N, szam=0, T;
    for(i=a;i<=R;i++)
    {
       T=ceil((float)i/p)+ceil((float)i/q)+ceil((float)i/r);
       if(T==i)
        szam++;



    }

   printf(" %d", szam);



    return 0;
}